Get User Roles On Org With Group Info
Get user roles with groups inheritance information within the specified organization
Use these APIs instead:
- /cloudapi/1.0.0/users
- /scim/v2/Groups
The user roles with groups inheritance information is not a CSP API call.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ❌ |
| Service Account (Whitelisted Client) | ❌ |
Request
URI
GET
https://{vcfa-fqdn}/csp/gateway/am/api/users/{userId}/orgs/{orgId}/access
COPY
Path Parameters
string
userId
Required
userId
string
orgId
Required
orgId
Responses
200
OK
Returns
RolesWithGroupInfo
of type(s)
*/*
{
"organizationRoles": [
{
"id": "string",
"name": "string",
"membershipType": "string",
"expiresAt": "string",
"displayName": "string",
"orgId": "string",
"groups": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"groupIds": [
"string"
]
}
],
"serviceRoles": [
{
"serviceRoles": [
{
"id": "string",
"name": "string",
"membershipType": "string",
"expiresAt": "string",
"resource": "string",
"groups": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"groupIds": [
"string"
]
}
],
"serviceDefinitionId": "string"
}
]
}
401
The user is not authorized to use the API.
Returns
RolesWithGroupInfo
of type(s)
*/*
{
"organizationRoles": [
{
"id": "string",
"name": "string",
"membershipType": "string",
"expiresAt": "string",
"displayName": "string",
"orgId": "string",
"groups": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"groupIds": [
"string"
]
}
],
"serviceRoles": [
{
"serviceRoles": [
{
"id": "string",
"name": "string",
"membershipType": "string",
"expiresAt": "string",
"resource": "string",
"groups": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string"
}
],
"groupIds": [
"string"
]
}
],
"serviceDefinitionId": "string"
}
]
}
404
The user is not found.
Returns
RolesWithGroupInfo
of type(s)
*/*
"RolesWithGroupInfo Object"
array of
object
organizationRoles
Optional
The organization roles
array of
object
serviceRoles
Optional
The services roles
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/users/{userId}/orgs/{orgId}/access
Deprecated
User Controller Operations
GET
Get User Service Roles In Organization 1
Deprecated
PATCH
Patch User Service Roles In Organization
Deprecated
GET
Get User Roles In Organization 1
Deprecated
PATCH
Patch User Roles In Organization
Deprecated
GET
Get User Roles On Org With Group Info
Deprecated
GET
Get User In Any Organization 1
Deprecated
GET
Get User Info In Organization 1
Deprecated